
import Taro from "@tarojs/taro";
import bookStore from "@src/store/book";

interface BookParams {
    workDirection: string,//频道
    categoryId: number,//分类ID
    pageNum:number,//分页
    pageSize:number//页数
}
/**
 * 获取短篇小说
 * */
export function getShortBookInfoAppListOfPage(data: BookParams) {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/shortBookInfo/appListOfPage',
                method: 'GET',
                data,
                success: (res) => {
                    bookStore.setData({bookList:res.data.data})
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
