import Taro from '@tarojs/taro'

/**
 * 保存登陆接口数据
 */


const KEY = 'login-sto';
const setLoginSto = (val: string) => {
    try {
        Taro.setStorageSync("Token", val)//存到本地
    } catch (e) {
        // Do something when catch error
    }
}

const getLoginSto = () => {
    try {
        let data = Taro.getStorageSync(KEY)
        return data
    } catch (e) {
        // Do something when catch error
        return ""
    }
}

const removeLoginSto = () => {
  
}

/**
 * 保存授权wx用户信息
 */

type wxLogin = {
    nickname?: string,
    gender?: string,
    avatarUrl?: string,
    city?: string,
    province?: string,
    country?: string
}

const wxKey = 'wx-login'
const setWxLoginSto = (val: wxLogin) => {
    try {
        Taro.setStorageSync(wxKey, val)
    } catch (e) {
        // Do something when catch error
    }
}

const getWxLoginSto = () => {
    try {
        let data = Taro.getStorageSync(wxKey)
        return data
    } catch (e) {
        // Do something when catch error
        return ""
    }
}


export { setLoginSto, getLoginSto, removeLoginSto, setWxLoginSto, getWxLoginSto }